Page MenuHomePhabricator

Remove logic for Minerva desktop beta feature
Closed, ResolvedPublic1 Story Points

Description

A while back we added a configuration option so that a desktop beta feature exposing Minerva in desktop preferences under skin was available.

There hasn't been any progress on this in over a year and I don't see why we would need to put this through the beta feature process as it would be opt-in anyway.

I'd like us to remove this code.

Event Timeline

Jdlrobson created this task.Apr 7 2017, 9:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2017, 9:05 PM

Change 345484 had a related patch set uploaded (by Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Remove Minerva desktop skin beta feature

https://gerrit.wikimedia.org/r/345484

This work has been spun out of https://phabricator.wikimedia.org/T125588
I noticed it while working on that task.

Jdlrobson triaged this task as Normal priority.Apr 13 2017, 7:03 PM
Jdlrobson set the point value for this task to 1.

Change 345484 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove Minerva desktop skin beta feature

https://gerrit.wikimedia.org/r/345484

Jdlrobson assigned this task to phuedx.May 8 2017, 5:09 PM
Jdlrobson removed a project: Patch-For-Review.

This is a technical task and Sam has kindly said he will sign this off.

phuedx added a comment.May 8 2017, 5:39 PM

👍 Tested this on the Beta Cluster and it LGTM – the beta feature doesn't appear.

phuedx closed this task as Resolved.May 8 2017, 5:39 PM